import GamingIcon from "../../../../public/gaming.svg";
export type Category = {
  name: string;
  pic: SVGElement | string;
};

export type Game = {
  id: string;
  name: string;
  pic: SVGElement | string;
  categories: Category[];
};

export const baseCategories: Category[] = [
  {
    name: "Gaming",
    pic: GamingIcon as unknown as SVGElement,
  },
  {
    name: "IRL",
    pic: "https://images.unsplash.com/photo-1611831928379-8b1f2f1b1b1a?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80",
  },
  {
    name: "Music",
    pic: "https://images.unsplash.com/photo-1611831928379-8b1f2f1b1b1a?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80",
  },
  {
    name: "Esports",
    pic: "https://images.unsplash.com/photo-1611831928379-8b1f2f1b1b1a?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80",
  },
  {
    name: "Creative",
    pic: "https://images.unsplash.com/photo-1611831928379-8b1f2f1b1b1a?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80",
  },
];

export const gameCategories: Category[] = [
  {
    name: "FPS",
    pic: "https://images.unsplash.com/photo-1611831928379-8b1f2f1b1b1a?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80",
  },
  {
    name: "RPG",
    pic: "https://images.unsplash.com/photo-1611831928379-8b1f2f1b1b1a?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80",
  },
  {
    name: "MOBA",
    pic: "https://images.unsplash.com/photo-1611831928379-8b1f2f1b1b1a?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80",
  },
  {
    name: "Sports",
    pic: "https://images.unsplash.com/photo-1611831928379-8b1f2f1b1b1a?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80",
  },
  {
    name: "Racing",
    pic: "https://images.unsplash.com/photo-1611831928379-8b1f2f1b1b1a?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80",
  },
  {
    name: "Strategy",
    pic: "https://images.unsplash.com/photo-1611831928379-8b1f2f1b1b1a?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80",
  },
  {
    name: "Indie",
    pic: "https://images.unsplash.com/photo-1611831928379-8b1f2f1b1b1a?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80",
  },
];

export const popularGames: Game[] = [
  {
    id: "1",
    name: "Valorant",
    pic: "https://images.unsplash.com/photo-1611831928379-8b1f2f1b1b1a?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80",
    categories: [{ name: "shooter", pic: "FPS" }],
  },
];
